Package org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class IgniteSnapshotManager.ClusterSnapshotFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Void>
  - - org.apache.ignite.internal.processors.cache.persistence.snapshot.IgniteSnapshotManager.ClusterSnapshotFuture

All Implemented Interfaces:
  `IgniteInternalFuture<Void>`

Enclosing class:
  IgniteSnapshotManager

    public static class IgniteSnapshotManager.ClusterSnapshotFuture
    extends GridFutureAdapter<Void>

### Constructor Summary

Constructors
`ClusterSnapshotFuture()` Default constructor.
`ClusterSnapshotFuture​(String name, Exception err)`
`ClusterSnapshotFuture​(UUID rqId, String name, @Nullable Integer incIdx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `onDone​(@Nullable Void res, @Nullable Throwable err, boolean cancel)`
`UUID` `requestId()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, chain, chain, chainCompose, chainCompose, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, listen, logger, onCancelled, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClusterSnapshotFuture

    public ClusterSnapshotFuture()

Default constructor.

#### ClusterSnapshotFuture

    public ClusterSnapshotFuture​(String name,
                                 Exception err)

Parameters:
  `name` - Snapshot name.
  `err` - Error starting snapshot operation.

#### ClusterSnapshotFuture

    public ClusterSnapshotFuture​(UUID rqId,
                                 String name,
                                 @Nullable
                                 @Nullable Integer incIdx)

Parameters:
  `rqId` - Unique snapshot request id.
  `name` - Snapshot name.

### Method Detail

#### onDone

    protected boolean onDone​(@Nullable
                             @Nullable Void res,
                             @Nullable
                             @Nullable Throwable err,
                             boolean cancel)

Overrides:
  `onDone` in class `GridFutureAdapter<Void>`
Parameters:
  `res` - Result.
  `err` - Error.
  `cancel` - `True` if future is being cancelled.
Returns:
  `True` if result was set by this call.

#### requestId

    public UUID requestId()

Returns:
  Request ID.